# Get historical average validators performance

Returns a paginated list of average validators performances. The average performance is calculated as a moving average of the validator performance for the past 360 eras (approximately one month).

```
GET /relative-average-validator-performances
```

## Query params

| Query param  | Description                                   |
| ------------ | --------------------------------------------- |
| `era_id`     | Comma-separated list of era ids               |
| `public_key` | Comma-separated list of validator public keys |

## Sorting

| Query param  | Description                               |
| ------------ | ----------------------------------------- |
| `era_id`     | Sort performances by era id               |
| `public_key` | Sort performances by validator public key |

## Optional properties

None

## Response

[`PaginatedResponse`](https://docs.cspr.cloud/1.0.x/documentation/overview/pagination)[`<RelativeValidatorPerformance>`](https://docs.cspr.cloud/1.0.x/rest-api/validator-performance)

## Example

```bash
curl -X 'GET' \
  'https://api.testnet.cspr.cloud/relative-average-validator-performances' \
  -H 'accept: application/json' \
  -H 'authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'

```

```json
{
  "data": [
    {
      "public_key": "01e8121a2586a6add8a65990080633adfa4e0d32088d36d7fb6f6d3ede1bd7b823",
      "era_id": 11103,
      "score": 100
    },
    {
      "public_key": "01e8121a2586a6add8a65990080633adfa4e0d32088d36d7fb6f6d3ede1bd7b823",
      "era_id": 11104,
      "score": 100
    },
    ...
    {
      "public_key": "01e8121a2586a6add8a65990080633adfa4e0d32088d36d7fb6f6d3ede1bd7b823",
      "era_id": 11112,
      "score": 100
    }
  ],
  "item_count": 910,
  "page_count": 91
}
```
